|  | Home | Documentation | saml2__AdviceType::__saml2__union_AdviceType Struct Reference updated Sun Sep 4 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AdviceType::__saml2__union_AdviceType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__AdviceType::__saml2__union_AdviceType:
[legend]

## Public Attributes
char * | saml2__AssertionIDRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionIDRef. More...
char * | saml2__AssertionURIRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionURIRef. More...
struct saml2__AssertionType * | saml2__Assertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Assertion. More...
struct saml2__EncryptedElementType * | saml2__EncryptedAssertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedAssertion. More...

## Member Data Documentation

struct saml2__AssertionType* saml2__AdviceType::__saml2__union_AdviceType::saml2__Assertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Assertion.

char* saml2__AdviceType::__saml2__union_AdviceType::saml2__AssertionIDRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionIDRef.

char* saml2__AdviceType::__saml2__union_AdviceType::saml2__AssertionURIRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AssertionURIRef.

struct saml2__EncryptedElementType* saml2__AdviceType::__saml2__union_AdviceType::saml2__EncryptedAssertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":EncryptedAssertion.

The documentation for this struct was generated from the following file:

- saml2.h